1. Endpoints
Salla Platform Docs
  • Embedded SDK
    • Overview
    • Getting Started
    • Create an Embedded App
    • Authentication
    • App Design Guidelines
    • Installation
    • Playground
  • Auth Module
    • Get Token
    • Client Introspect
    • Refresh Token
  • Page Module
    • External Redirects
    • Navigation
    • Set Page Title
  • Nav Module
    • Create Navbar Action
    • Listen for Navbar Actions
    • Clearing Navbar Actions
    • Add Navbar Item
    • Update Navbar Item
    • Listen for Navbar Item Click
    • Remove Navbar Item
  • UI Module
    • Confirm Dialogs
    • Toast Notifications
    • Loading States
    • Breadcrumbs
  • Checkout Module
    • Create Checkout
    • Get App Add-ons
    • Subscribe for Payment Result
    • Server-Created Checkouts
  • Endpoints
    • Create Checkout
      POST
    • Get Checkout
      GET
    • Token Introspect
      POST
  • Resources
    • Support
    • Common Examples
  • Report Builder
    • Overview
    • Getting Started
    • JMESPath Tutorial
    • Understanding the Report Lifecycle
    • Salla Reports Examples
    • Set up Store data using merchant APIs
    • Report Types
      • Unit
      • Bar
      • Breakdown
      • Calendar
      • Distribution
      • Pipe
      • Plot
      • Ranking
      • Summary
      • Agrid
    • APIs
      • Token Introspect
  • App Onboarding
    • Overview
    • Get Started
    • Interfaces and Responses
    • Example
  • Schemas
    • Checkout
Merchant
Merchant
  • Merchant API
  • Embedded SDK
  • Salla OAuth 2.0
Storefront
Storefront
  • Twilight (React)
  • Twilight SDK
  • Web Components (Deprecated)
  • Ecommerce Events
  • Component Bundle
  • Checkout APIs
  • Twilight Engine (Deprecated)
  • Change Log
App Functions
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • Billing System Salla partners
  • Communication Apps
Dev Tools
Dev Tools
  • Partners Agent Kit
  • Salla Apps Playbook
  • Salla CLI
Merchant
Merchant
  • Merchant API
  • Embedded SDK
  • Salla OAuth 2.0
Storefront
Storefront
  • Twilight (React)
  • Twilight SDK
  • Web Components (Deprecated)
  • Ecommerce Events
  • Component Bundle
  • Checkout APIs
  • Twilight Engine (Deprecated)
  • Change Log
App Functions
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • Billing System Salla partners
  • Communication Apps
Dev Tools
Dev Tools
  • Partners Agent Kit
  • Salla Apps Playbook
  • Salla CLI
Salla - Opensource
Salla - Developers Community
  1. Endpoints

Get Checkout

Production
https://api.salla.dev/admin/v2
Production
https://api.salla.dev/admin/v2
GET
https://api.salla.dev/admin/v2
/checkouts/{id}
Last modified:2026-11-08 12:28:51
This endpoint allows you to return one checkout created by your app on the store, pending or paid.
Only your app's checkouts on the token's store are visible: another app's or another store's checkout returns 404.
Scopes
checkouts.read - Checkouts Read Only, or checkouts.read_write

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.salla.dev/admin/v2/checkouts/1638492741' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "status": 200,
    "success": true,
    "data": {
        "id": 1638492741,
        "reference_id": "topup-8812",
        "status": "paid",
        "subtotal": {
            "amount": 125,
            "currency": "SAR"
        },
        "total_discount": {
            "amount": 0,
            "currency": "SAR"
        },
        "tax": {
            "amount": 18.75,
            "currency": "SAR"
        },
        "total": {
            "amount": 143.75,
            "currency": "SAR"
        },
        "checkout_url": "https://s.salla.sa/checkout/1638492741",
        "paid_at": "2026-10-28T14:05:11+03:00",
        "items": [
            {
                "name": "رصيد 500 رسالة",
                "description": "Top-up for October",
                "quantity": 500,
                "amounts": {
                    "price_without_tax": {
                        "amount": 0.25,
                        "currency": "SAR"
                    },
                    "total_discount": {
                        "amount": 0,
                        "currency": "SAR"
                    },
                    "tax": {
                        "percent": 15,
                        "amount": {
                            "amount": 18.75,
                            "currency": "SAR"
                        }
                    },
                    "total": {
                        "amount": 143.75,
                        "currency": "SAR"
                    }
                }
            }
        ]
    }
}
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
Modified at 2026-11-08 12:28:51
Previous
Create Checkout
Next
Token Introspect